<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.multictrl.modules.business.dao.DockDao">
    <resultMap type="com.multictrl.modules.business.entity.DockEntity" id="busDockMap">
        <result property="id" column="id"/>
        <result property="dockName" column="dock_name"/>
        <result property="dockSn" column="dock_sn"/>
        <result property="dockType" column="dock_type"/>
        <result property="dockModel" column="dock_model"/>
        <result property="deptId" column="dept_id"/>
        <result property="dockLongitude" column="dock_longitude"/>
        <result property="dockLatitude" column="dock_latitude"/>
        <result property="dockHeight" column="dock_height"/>
        <result property="deputyLongitude" column="deputy_longitude"/>
        <result property="deputyLatitude" column="deputy_latitude"/>
        <result property="deputyHeight" column="deputy_height"/>
        <result property="remarks" column="remarks"/>
        <result property="delFlag" column="del_flag"/>
        <result property="creator" column="creator"/>
        <result property="createDate" column="create_date"/>
        <result property="updater" column="updater"/>
        <result property="updateDate" column="update_date"/>
    </resultMap>
</mapper>